
%global meadversion 2.0.1
%global namedversion 2.0.1.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package resteasy-extensions}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.1.Final-redhat-00001

Name:           %{?scl_prefix}resteasy-extensions
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Resteasy Extensions
Group:          Development/Java

%if %with mead
Source100: resteasy-extensions-2.0.1.Final-redhat-00001-project-sources.tar.gz
Source102: resteasy-eagledns-fork-2.0.1.Final-redhat-00001.jar
Source103: cache-core-2.0.1.Final-redhat-00001.jar
Source104: resteasy-tracing-api-2.0.1.Final-redhat-00001.jar
Source105: cache-parent-2.0.1.Final-redhat-00001.pom
Source106: cache-core-2.0.1.Final-redhat-00001.pom
Source107: resteasy-eagledns-fork-2.0.1.Final-redhat-00001-sources.jar
Source108: resteasy-tracing-api-2.0.1.Final-redhat-00001.pom
Source109: resteasy-tracing-api-2.0.1.Final-redhat-00001-sources.jar
Source110: resteasy-eagledns-fork-2.0.1.Final-redhat-00001.pom
Source111: cache-core-2.0.1.Final-redhat-00001-sources.jar
Source112: resteasy-extensions-2.0.1.Final-redhat-00001.pom
%endif

License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://resteasy.github.io/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/resteasy-extensions-%{namedversion}-%{release}-root

%description
This project provides some additional extensions to the RESTEasy.

%if %with javadoc
%package javadoc
Summary:        Javadoc for resteasy-extensions
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%package -n %{?scl_prefix}resteasy-tracing-api
Summary:        RESTEasy Tracing API
Group:          Development/Java


%description -n %{?scl_prefix}resteasy-tracing-api
%{summary}.

%prep
%setup -q -n resteasy-extensions-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/resteasy-tracing-api-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-tracing-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-tracing-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-tracing-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-tracing-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-tracing-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/resteasy-extensions-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/resteasy-extensions-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/resteasy-extensions-%{namedversion} -x META-INF/\*
%{__ln_s} resteasy-extensions-%{namedversion} %{buildroot}%{_javadocdir}/resteasy-extensions
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.md README.md

%files -n %{?scl_prefix}resteasy-tracing-api
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-tracing-api-%{namedversion}.jar
%{_javadir}/resteasy-tracing-api.jar
%if %with javadoc
%{_javadir}/resteasy-tracing-api-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-tracing-api-javadoc.jar
%endif
%{_javadir}/resteasy-tracing-api-%{namedversion}-sources.jar
%{_javadir}/resteasy-tracing-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/resteasy-extensions-%{namedversion}
%{_javadocdir}/resteasy-extensions
%endif

%changelog
* Mon Jun 05 2023 Permaine Cheung <pcheung@redhat.com> - 2.0.1-2.Final_redhat_00001.1
- Remove R: and let wildfly take care of dep management

* Tue Apr 18 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.0.1-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Mar 28 2023 Yong Yang <yyang@redhat.com> - 2.0.0-1.Final_redhat_00001.1
- 2.0.0.Final-redhat-00001
